cc.funkemunky.api.utils

## Class TickTimer

- java.lang.Object
- - cc.funkemunky.api.utils.TickTimer

    public class TickTimer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TickTimer(int defaultPassed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPassed()`
`boolean` `hasNotPassed()`
`boolean` `hasNotPassed(int amount)`
`boolean` `hasPassed()`
`boolean` `hasPassed(int amount)`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TickTimer

    public TickTimer(int defaultPassed)

### Method Detail

#### reset

    public void reset()

#### hasPassed

    public boolean hasPassed()

#### hasPassed

    public boolean hasPassed(int amount)

#### hasNotPassed

    public boolean hasNotPassed()

#### hasNotPassed

    public boolean hasNotPassed(int amount)

#### getPassed

    public int getPassed()